LibreOffice: DefinitionContainer Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
DefinitionContainer Service Referencepublished

describes a container which provides access to database related definitions like commands, forms, and reports. More...

Inheritance diagram for DefinitionContainer:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
interface | com::sun::star::container::XNameContainer
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XEnumerationAccess
interface | com::sun::star::util::XRefreshable
| is used to refresh the container, to reflect changes in the underlying database.
interface | com::sun::star::lang::XSingleServiceFactory
| can be used to create container elements.

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source.
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed."
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener.
Protected Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments.

## Detailed Description

describes a container which provides access to database related definitions like commands, forms, and reports.

The container supports access to its elements by the elements name or by the elements position.

Simple enumeration must be supported as well.

To reflect the changes with the underlying database, a refresh mechanism needs to be supported.

Developers Guide
  Database Access - Adding and Editing Predefined Queries

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

## ◆ com::sun::star::lang::XSingleServiceFactory

interface com::sun::star::lang::XSingleServiceFactory
| optional

can be used to create container elements.

If this interface is supported, the object created using it (e.g., the object returned by com.sun.star.lang::XSingleServiceFactory::createInstance() ) can be used as container elements.

## ◆ com::sun::star::util::XRefreshable

interface com::sun::star::util::XRefreshable
| optional

is used to refresh the container, to reflect changes in the underlying database.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DefinitionContainer.idl